MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029371Open CASCADE[OCCT] OCCT:Application Frameworkpublic2017-12-05 16:102018-06-29 21:19
Reportermpv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029371: The problem of the attributes constructor call
DescriptionSince OCCT 7.1.0 there may appear a problem of creation and attachment of attributes to the label if the attribute constructor and AddAttribute method is used instead of "Set" method call:

Handle(TDataStd_Name) aNameAttr = new TDataStd_Name();
aLabel.AddAttribute(aNameAttr);

in this case an attribute with null GUID is attached, whereas in previous versions this example worked well.

It is proposed to forbid the attribute constructor call or to make this case work properly again (the default GUID of the attribute is assigned).

And it is worth to update/extend documentation with information that "Set" method must be used instead.
Steps To Reproduceuse script tests\bugs\caf\bug29371.
TagsNo tags attached.
Test case numberbugs caf bug29371
Attached Files

- Relationships

-  Notes
(0073042)
git (administrator)
2017-12-20 12:20

Branch CR29371 has been created by szy.

SHA-1: 6c374ded653024afb86d74c02af98bd02474b3d2


Detailed log of new commits:

Author: szy
Date: Wed Dec 20 12:20:29 2017 +0300

    0029371: The problem of the attributes constructor call.
    
    // default Guid is assigned in constructor.
(0073066)
git (administrator)
2017-12-21 14:37

Branch CR29371 has been updated by szy.

SHA-1: 8fc09e93d0f8c16cc7aaaa7dfb055b13ef2425fe


Detailed log of new commits:

Author: szy
Date: Thu Dec 21 14:36:43 2017 +0300

    0029371: The problem of the attributes constructor call.
    
    //Addition of test case: tests\bugs\caf\bug29371.

(0073067)
git (administrator)
2017-12-21 14:41

Branch CR29371_1 has been created by szy.

SHA-1: 8f2e56072effc087e896c0fd269d6f768f7103c2


Detailed log of new commits:

Author: szy
Date: Wed Dec 20 12:20:29 2017 +0300

    0029371: The problem of the attributes constructor call.
    
    //Addition of test case: tests\bugs\caf\bug29371.
    
    0029371: The problem of the attributes constructor call.
    
    // default Guid is assigned in constructor.
(0073068)
szy (developer)
2017-12-21 14:47

Fixed.
The first solution is not applicable. The second solution (the default GUID of the attribute is assigned) is implemented.
Branch CR29371_1. Review it, please.
(0073069)
szy (developer)
2017-12-21 14:50

1. http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29371-master-szy-OCCT-Windows-64-VC10-opt-tests-compare-windows/1/ [^]
2. http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29371-master-szy-OCCT-Debian70-64-opt-tests-compare-linux/1/ [^]
3. http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29371-master-szy-Products-Windows-64-VC10-opt-tests-compare-windows/1/ [^]
4. http://jenkins-test-10.nnov.opencascade.com:8080/job/CR29371-master-szy-Products-Debian70-64-opt-tests-compare-linux/1/ [^]
(0073100)
apn (administrator)
2017-12-25 11:47

Combination -
OCCT branch : CR29371 SHA - 6c374ded653024afb86d74c02af98bd02474b3d2
Products branch : master SHA - 7dd72d4f1950334b6651e7f7b2df4ce8c6d6948e
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs caf bug29371 - OK

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18435.779999999635 / 18433.219999999703 [+0.01%]
Products
Total CPU difference: 7480.22000000001 / 7463.390000000005 [+0.23%]
Windows-64-VC10:
OCCT
Total CPU difference: 17870.67895489861 / 17919.14846559861 [-0.27%]
Products
Total CPU difference: 8002.227296000001 / 7985.956391699999 [+0.20%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0073123)
git (administrator)
2017-12-25 18:17

Branch CR29371_1 has been updated by apn.

SHA-1: 510bc4a66f255fba6a082d5de7247b6d530a98c5


Detailed log of new commits:

Author: apn
Date: Mon Dec 25 18:17:26 2017 +0300

    // Fix warning

(0073323)
git (administrator)
2018-01-11 11:10

Branch CR29371 has been deleted by kgv.

SHA-1: 8fc09e93d0f8c16cc7aaaa7dfb055b13ef2425fe
(0073324)
git (administrator)
2018-01-11 11:10

Branch CR29371_1 has been deleted by kgv.

SHA-1: 510bc4a66f255fba6a082d5de7247b6d530a98c5

- Related Changesets
occt: master 4a5eefb9
Timestamp: 2017-12-20 09:20:29
Author: szy
Committer: apn
Details ] Diff ]
0029371: The problem of the attributes constructor call

Default Guid is assigned in constructor.
Add test case: tests\bugs\caf\bug29371.
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Name.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.cxx Diff ] File ]
add - tests/bugs/caf/bug29371 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-05 16:10 mpv New Issue
2017-12-05 16:10 mpv Assigned To => szy
2017-12-05 16:14 mpv Description Updated View Revisions
2017-12-19 17:07 szy Status new => assigned
2017-12-20 12:20 git Note Added: 0073042
2017-12-21 14:37 git Note Added: 0073066
2017-12-21 14:41 git Note Added: 0073067
2017-12-21 14:47 szy Note Added: 0073068
2017-12-21 14:47 szy Assigned To szy => mpv
2017-12-21 14:47 szy Status assigned => resolved
2017-12-21 14:47 szy Steps to Reproduce Updated View Revisions
2017-12-21 14:50 szy Note Added: 0073069
2017-12-22 15:51 mpv Assigned To mpv => bugmaster
2017-12-22 15:51 mpv Status resolved => reviewed
2017-12-25 11:47 apn Test case number => bugs caf bug29371
2017-12-25 11:47 apn Note Added: 0073100
2017-12-25 11:47 apn Status reviewed => tested
2017-12-25 18:17 git Note Added: 0073123
2017-12-30 18:43 apn Changeset attached => occt master 4a5eefb9
2017-12-30 18:43 apn Assigned To bugmaster => apn
2017-12-30 18:43 apn Status tested => verified
2017-12-30 18:43 apn Resolution open => fixed
2018-01-11 11:10 git Note Added: 0073323
2018-01-11 11:10 git Note Added: 0073324
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker